
From: Jes Sorensen <jes@trained-monkey.org>

It's a fix to the SN2 console driver which is all thats required to get
-mm4 to boot on SN2 hardware.



 25-akpm/drivers/char/sn_serial.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN drivers/char/sn_serial.c~sn2-console-driver-fix drivers/char/sn_serial.c
--- 25/drivers/char/sn_serial.c~sn2-console-driver-fix	Wed Nov 19 11:39:46 2003
+++ 25-akpm/drivers/char/sn_serial.c	Wed Nov 19 11:39:46 2003
@@ -21,8 +21,9 @@
 #include <linux/sysrq.h>
 #include <linux/circ_buf.h>
 #include <linux/serial_reg.h>
+#include <asm/uaccess.h>
 #include <asm/sn/sn_sal.h>
-#include <asm/sn/pci/pciio.h>		/* this is needed for get_console_nasid */
+#include <asm/sn/pci/pciio.h>
 #include <asm/sn/simulator.h>
 #include <asm/sn/sn2/sn_private.h>
 
@@ -771,7 +772,7 @@ sn_sal_read_proc(char *page, char **star
 	off_t	begin = 0;
 
 	len += sprintf(page, "sn_serial: nasid:%d irq:%d tx:%d rx:%d\n",
-		       get_console_nasid(), sn_sal_irq,
+		       ia64_sn_get_console_nasid(), sn_sal_irq,
 		       sn_total_tx_count, sn_total_rx_count);
 	*eof = 1;
 
@@ -813,6 +814,9 @@ sn_sal_switch_to_asynch(void)
 {
 	unsigned long flags;
 
+	if (sn_sal_is_asynch)
+		return;
+
 	sn_debug_printf("sn_serial: about to switch to asynchronous console\n");
 
 	/* without early_printk, we may be invoked late enough to race

_
